/*  Extenmote : NES, SNES, N64 and Gamecube to Wii remote adapter firmware
 *  Copyright (C) 2012,2013  Raphael Assenat <raph@raphnet.net>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef _eeprom_h__
#define _eeprom_h__

#define EEPROM_MAGIC_SIZE		9 /* EXTENMOTE */

struct eeprom_data_struct {
	unsigned char magic[EEPROM_MAGIC_SIZE];
	unsigned char g_n64_mapping_mode;
	unsigned char g_n64_curve_id;
	unsigned char g_gc_mapping_mode;
	unsigned char g_snes_nes_mode;
	unsigned char g_snes_analog_dpad;
};

extern struct eeprom_data_struct g_eeprom_data;
void eeprom_commit(void);
char eeprom_init(void);

#endif // _eeprom_h__

